Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1045006 - schroot fails to lock session file
Summary: schroot fails to lock session file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: schroot
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zach Carter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 12:43 UTC by Andris Pavenis
Modified: 2015-01-12 12:01 UTC (History)
3 users (show)

Fixed In Version: schroot-1.6.5-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1295323 (view as bug list)
Environment:
Last Closed: 2013-12-31 02:02:32 UTC
Type: Bug


Attachments (Terms of Use)

Description Andris Pavenis 2013-12-19 12:43:51 UTC
Description of problem:

schroot fails to open session with an error message like:

[andris@ap doc]$ schroot -pc c32
E: centos-i386-0721e417-a54a-452a-bf95-5b20140efcb6: Failed to lock chroot: /var/lib/schroot/session/centos-i386-0721e417-a54a-452a-bf95-5b20140efcb6: Failed to write session file: Permission denied


Version-Release number of selected component (if applicable):

schroot-1.6.5-3.fc20.x86_64


How reproducible:

Always

Steps to Reproduce:
1. try to use schroot
2.
3.

Actual results:

I'm getting an error message as mentioned above

Expected results:

normal operation (worked before upgrade to Fedora 20)

Additional info:

Tested on 2 Fedora 20 systems
Problem can be workarounded by makeing /usr/bin/schroot suid root
(perhaps group rights would be preferable, but that should be fixed in the
package)

[andris@ap doc]$ ls -l /var/lib/schroot
total 8
drwxr-xr-x. 2 root root 4096 Dec 19 14:40 mount
drwxr-xr-x. 2 root root 4096 Dec 19 14:40 session

Comment 1 Zach Carter 2013-12-19 16:06:26 UTC
Reproduced it.   I'll get a fix out soon.

Comment 2 Fedora Update System 2013-12-19 17:26:53 UTC
schroot-1.6.5-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/schroot-1.6.5-4.fc20

Comment 3 Andris Pavenis 2013-12-19 19:19:45 UTC
Updated package works nicely. Thanks

Comment 4 Fedora Update System 2013-12-21 02:10:16 UTC
Package schroot-1.6.5-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing schroot-1.6.5-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23693/schroot-1.6.5-4.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-12-31 02:02:32 UTC
schroot-1.6.5-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 André 2015-01-12 12:01:53 UTC
This issue still persists in Fedora 21 schroot-1.6.5-6.fc21 version.


Note You need to log in before you can comment on or make changes to this bug.